Page MenuHomePhabricator

[betalabs] "Uncaught ReferenceError: mw is not defined" on any Flow Talk page
Closed, ResolvedPublic

Description

  1. On any betalabs wiki(test, en, ca) got to any Flow Talk page, e.g. Talk:ET1

Uncaught ReferenceError: mw is not defined(anonymous function) @ Talk:ET1:47
Seems to refer to:
<script>mw.flow = mw.flow || {}; mw.flow.data = {"title":"Talk:ET1","workflow":"sgvxzba9rj7wph5k","blocks"...

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.26wmf17Use correct wrapping for the JSON blob inline script
mediawiki/extensions/Flow : masterUse correct wrapping for the JSON blob inline script

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 9:34 PM
Etonkovidova renamed this task from [betalabs] "Uncaught ReferenceError: mw is not defined" on any Flow Talk page - the Board description is partially displayed when collapsed to [betalabs] "Uncaught ReferenceError: mw is not defined" on any Flow Talk page.Aug 4 2015, 9:44 PM
Etonkovidova updated the task description. (Show Details)
Etonkovidova set Security to None.

Change 229266 had a related patch set uploaded (by Catrope):
Use correct wrapping for the JSON blob inline script

https://gerrit.wikimedia.org/r/229266

Change 229266 merged by jenkins-bot:
Use correct wrapping for the JSON blob inline script

https://gerrit.wikimedia.org/r/229266

Catrope claimed this task.Aug 5 2015, 11:45 PM
Catrope triaged this task as Unbreak Now! priority.
Catrope moved this task from Untriaged to QA Review on the Collaboration-Team-Archive-2015-2016 board.

FYI: This task is considered a blocker for the upcoming (August 11th) train deployment to WMF wikis. If this task is not fixed before then I will have to hold the train.

ori closed this task as Resolved.Aug 6 2015, 5:39 PM
ori added a subscriber: ori.

Checked in betalabs - no error msgs in Console.

Change 229977 had a related patch set uploaded (by Ori.livneh):
Use correct wrapping for the JSON blob inline script

https://gerrit.wikimedia.org/r/229977

Change 229977 merged by Ori.livneh:
Use correct wrapping for the JSON blob inline script

https://gerrit.wikimedia.org/r/229977